# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-11-13 00:34
from __future__ import unicode_literals

import ckeditor_uploader.fields
from django.db import migrations, models
import oscar.models.fields.autoslugfield
from django.db.migrations import RunPython
from oscar.core.utils import slugify


class Migration(migrations.Migration):

    dependencies = [
        ('offer', '0021_auto_20171111_2146'),
    ]

    operations = [
        migrations.AddField(
            model_name='rangediscount',
            name='code',
            field=oscar.models.fields.autoslugfield.AutoSlugField(blank=True, editable=False, max_length=128, null=True, populate_from='name', unique=True, verbose_name='Code'),
        ),
        migrations.AddField(
            model_name='rangediscount',
            name='cover',
            field=models.ImageField(blank=True, max_length=255, null=True, upload_to='images/discounts/', verbose_name='Обложка'),
        ),
        migrations.AddField(
            model_name='rangediscount',
            name='rules',
            field=ckeditor_uploader.fields.RichTextUploadingField(default='', verbose_name='Условия участия в акции'),
            preserve_default=False,
        )
    ]
